Module | Kernel
In: | lib/blankslate.rb

Since Ruby is very dynamic, methods added to the ancestors of BlankSlate after BlankSlate is defined will show up in the list of available BlankSlate methods. We handle this by defining a hook in the Object and Kernel classes that will hide any method defined after BlankSlate has been loaded.

### Methods

method_added

### External Aliases

method_added | -> | blank_slate_method_added

### Public Class methods

method_added(name)

Detect method additions to Kernel and remove them in the BlankSlate class.

[Validate]